#include <bits/stdc++.h>
using namespace std;

int najveci(int niz[], int pocetak, int kraj)
{


    int max = niz[pocetak];

    for (int i = pocetak+1; i < kraj; i++)
        {
          if (niz[i] > max)
            max = niz[i];
        }

    return max;
}

int main() {

    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);

    int n;
    cin>>n;
    int a[n];

    //unosim niz
    for(int x=0;x<n;x++)
    {
        cin>>a[x];
    }
    //ako je niz od 2 elementa
    if(n==2)
    {
        cout<<a[1]<<" "<<a[0];
    }

    else
    {

    int i=0;
    bool okrenuo=false;

    while(i<n && !okrenuo)
    {
        int najveciBr=najveci(a,i,n);

            if(najveciBr==a[i] )
                i++;

            else
            {
              for(int j=n-1;j>i;j--)
              {
                  if(a[j]==najveciBr)
                  {
                      swap(a[i],a[j]);
                      okrenuo=true;
                      break;
                  }
              }
            }

    }

    if(!okrenuo)
    {

        for(int i=0;i<n-1;i++)
        {
            for(int j=i+1;j<n;j++)
            {
                if(a[i]==a[j])
                {
                    for(int x=0;x<n;x++)
                    {
                        cout<<a[x];
                    }
                        return 0;
                }
            }
        }
            swap(a[n-1],a[n-2]);
    }

    //ispis niza
      for(int x=0;x<n;x++)
    {
        cout<<a[x];
    }

    }

    return 0;
}